LINUX.ORG.RU

39-е ядро. Вперде?


0

2

За всю свою 14-летнюю практику с Linux с таким не сталкивался.

— Беру работающий конфиг от 38-r5, копирую в 39-r1

— Genkernel, включающий в себя, естественно, oldconfig

— Всё прекрасно собирается

— Перезагрузка

— Ядро виснет на двух пингвинах, даже не показав ни единого символа…

Нужно отметить, что даже этот самый конфиг без проблем чуть ли не от каких-то 14-х ядер до нынешних времён дожил. Да, бывало те или иные проблемы вылезали, но уже в процессе загрузки. Хоть было понятно, кто виноват. А тут — прямо на старте. Даже непонятно, куда копать. Пришлось пока на 38-е назад вернуться.

Есть мысли, в чём дело может быть?

★★★★★

У меня зависло на входе в рабочий стол.

LongLiveUbuntu ★★★★★ ()

config-huge-smp-2.6.38.7-smp+linux-2.6.39.1.tar.bz2
Работает без проблем. Ну есс-но новые фичи настроил которых не было.

amorpher ★★★★★ ()
Ответ на: комментарий от Bod

Ясненько. Ладно, посижу пока на 38-м, пока люди мучаются :)

KRoN73 ★★★★★ ()

Взяла конфиг от 2.6.38, перенесла в 2.6.39, обозначила новые опции. Работает. Это, наверное, ваш genkernel виноват.

Fantasma ()

УМВР. тащемта недавно гентушники чета сломали, и я имел веселье получить неработающую систему сразу после установки. лечилось так:

CONFIG_DEVTMPFS=y

CONFIG_DEVTMPFS_MOUNT=y

x0r ★★★★★ ()
ugin@CERN ~ $ uname -svr
Linux 2.6.39-ARCH #1 SMP PREEMPT Tue Jun 7 05:49:02 UTC 2011

Почему в ОС «для бета-тестеров» все просто работает?

uGin ()
Ответ на: комментарий от uGin

> ARCH

для бета-тестеров

потому, что для бета-тестеров есть федора

x0r ★★★★★ ()

УМВР, ЧЯДНТ? без genkernel.

С фреймбуфером?

да. и с пингвинами(224цвета)

tn1 ()

УМВР

uname -a
Linux madpower 2.6.39-gentoo-r1 #1 Thu Jun 16 22:44:50 MSD 2011 ppc 7455, altivec supported PowerBook6,1 GNU/Linux

madcore ★★★★★ ()
Ответ на: комментарий от uGin

nork@debian:~$ uname -a
Linux debian 2.6.39.1 #1 Wed Jun 15 22:16:24 MSD 2011 i686 GNU/Linux
nork@debian:~$
Пока все работает. На работе в Ubuntu не завелся ndiswrapper. Дома не пробовал - оно мне не надо.

TheKnight ★★★ ()

>С фреймбуфером?

Нужно использовать драйвера от производителя, а не красноглазые поделки.

anonymous ()
Linux eternity 2.6.39-pf2 #2 SMP PREEMPT Sat Jun 18 14:07:33 EEST 2011 i686 Intel(R) Pentium(R) Dual CPU T2330 @ 1.60GHz GenuineIntel GNU/Linux

=) пашет

post-factum ★★★★★ ()
Ответ на: комментарий от TheKnight

Млин. у меня самого

uname -a
Linux aptosidbox 2.6.39-1.slh.8-aptosid-686 #1 SMP PREEMPT Thu Jun 16 01:24:18 UTC 2011 i686 GNU/Linux

но речь топикстартер вёл о переходе в gentoo на 39 ядро с использованием олдконфига. Ферштейн?

Bod ★★★★ ()
Ответ на: комментарий от init_6

а что удивляться то. acpi на серверах не (не особо) нужен. а до десктопов и ноутов дела же нет тому кто вкорячивает в ядро патчи по 100 мб. а не будет вкорячивать - будет не у дел. Линус просто идёт на поводу у контор которым дела нет до рельной работы линукса у конечных пользователей.

tommy ★★★★★ ()
Ответ на: комментарий от tommy

удивляться нечему… но блин и патчь есть а в мэйнстриме уже сколько версий и все еще не пофиксили.

init_6 ★★★★★ ()

Я вчера делал то же, что и ты. Тоже до 29-r1, правда с 36-го. Всё загрузилось, правда я кроме oldconfig сделал menuconfig и отключил старую подсистему ata. Как-то неправильно отключил, потому чт ноавя мои PATA не видит и ругается на этом первой же строчкой под пингвинами: ata1: ошибка ata2: ошибка.

Но не это главное - всё работает. nvidia GeForce, чипсет AMD 780, память DDR2.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от darkshvein

Апи ломали, да. В новости про драйвер nvidia писали, что «исправлен неработающий на 2.6.39 SLI».

ZenitharChampion ★★★★★ ()

2.6.39-gentoo, конфиг с 36 ядра, фреймбуфер. УМВР.

otto ★★ ()

Vanilla-sources 2.6.39.1 - всё работает.

nCdy ()
Ответ на: комментарий от sdio

>Старый ты уже с гентой бодаться, теперь убунту — твоя прелесть!

Убунту у меня тоже есть. Но я слишком для неё стар уже, да.

KRoN73 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.